%define mpiimpl openmpi
%define mpidir %_libexecdir/%mpiimpl

### TODO :
### rebuild after cca-spec-neo
### try using openmpi

Name: ccaffeine
Version: 0.8.8
Release: alt1
Summary: CCA framework compliant with the CCA specification
License: LGPL
Group: Sciences/Mathematics
Url: http://www.cca-forum.org/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: http://www.cca-forum.org/download/cca-tools/cca-tools-0.7.0/ccaffeine-0.8.8.tar.gz

#Requires: lib%name = %version-%release
Requires: %name-common = %version-%release

BuildRequires(pre): rpm-build-compat
BuildPreReq: doxygen gcc4.3-c++ gcc4.3-fortran libgraphviz-devel graphviz babel
BuildPreReq: libbabel-devel-static cca-spec-classic
BuildPreReq: libcca-spec-classic-devel-static tcl-devel libruby-devel-static
#BuildPreReq: ruby swig %mpiimpl-devel libxml2-devel boost-devel
BuildPreReq: ruby swig libxml2-devel boost-devel

%description
The Common Component Architecture Framework compliant with the CCA
specification.

#package -n lib%name
#Summary: Shared libraries of CCA Caffeine Framework
#Group: System/Libraries

#description -n lib%name
#The Common Component Architecture Framework compliant with the CCA
#specification.

#This package contains shared libraries of CCA Caffeine Framework.

#package -n lib%name-devel
#Summary: Development files of CCA Caffeine Framework
#Group: Development/Other
#Requires: lib%name = %version-%release
#Requires: %name-common = %version-%release

#description -n lib%name-devel
#The Common Component Architecture Framework compliant with the CCA
#specification.

#This package contains development files of CCA Caffeine Framework.

#package -n lib%name-devel-static
#Summary: Static libraries of CCA Caffeine Framework
#Group: Development/Other
#Requires: lib%name-devel = %version-%release

#description -n lib%name-devel-static
#The Common Component Architecture Framework compliant with the CCA
#specification.

#This package contains static libraries of CCA Caffeine Framework.

%package -n lib%name-devel
Summary: Headers and static libraries of CCA Caffeine Framework
Group: Development/Other
#Requires: lib%name-devel = %version-%release
Requires: %name-common = %version-%release

%description -n lib%name-devel
The Common Component Architecture Framework compliant with the CCA
specification.

This package contains header and static libraries of CCA Caffeine Framework.

%package common
Summary: Architecture independent files of CCA Caffeine Framework
Group: Development/Other
BuildArch: noarch

%description common
The Common Component Architecture Framework compliant with the CCA
specification.

This package contains architecture independent files of CCA Caffeine Framework..

%package doc
Summary: Documentation for CCA Caffeine Framework
Group: Development/Documentation
BuildArch: noarch

%description doc
The Common Component Architecture Framework compliant with the CCA
specification.

This package contains development documentation for CCA Caffeine Framework.

%package examples
Summary: Demonstrating use of an installed CCA Caffeine Framework
Group: Development/Documentation
BuildArch: noarch

%description examples
The Common Component Architecture Framework compliant with the CCA
specification.

This package contains examples witch demonstrating use of an installed CCA
Caffeine Framework.


%prep
%setup

%build
pushd cxx/dc
mv babel babel.old
mv babel.new babel
popd
#export MPICXX=%mpidir/bin/mpicxx
#MPILIBS="%mpidir/lib/libmpich.a %mpidir/lib/libfmpich.a"
#MPILIBS="$MPILIBS %mpidir/lib/libmpichcxx.a %mpidir/lib/libmpichf90.a"
%configure \
	--disable-mpich \
	--enable-shared \
	--enable-threads \
	--enable-sockets \
	--enable-showlibtool \
	--enable-showcompile \
	--enable-shell \
	--with-bash=/bin/bash \
	--with-cca-babel=no \
	--with-cca-classic \
	--with-classic-config=%_bindir/cca-spec-classic-config \
	--with-cca-classic=%prefix \
	--with-cca-neo=no \
	--with-rpm-prefix=%prefix \
	--with-rpm-libdir=%_libdir \
	--with-rpm-pkgdatadir=%_datadir \
	--with-gmake=%_bindir/make \
	--with-tclsh=%_bindir/tclsh \
	--with-ruby=%_bindir/ruby \
	--with-swig=%_bindir/swig \
	--with-mpi=no \
	--with-xml2-config=%_bindir/xml2-config \
	--with-xml2-includes=-I%_includedir/libxml2 \
	--with-xml2-libs='-lxml2' \
	--with-doxygen=%_bindir/doxygen \
	--with-dot=yes \
	--with-boost=%_includedir \
	--with-babel-libtool=%_bindir/libtool \
	--with-tools=gnu
#	--enable-mpich \
#	--with-mpi=%mpidir \
#	--with-mpi-mpd \
#	--with-mpi-arch='LINUX' \
#	--with-mpi-inc=-I%mpidir/include \
#	--with-mpi-bin=%mpidir/bin \
### need static?
#	--with-mpi-lib-static="$MPILIBS" \

%make_build

pushd cxx/doc
%make_build
popd

%install
for dir in cxx/obj/.libs cxx/drivers/.libs; do
	pushd  $dir
	for i in $(ls *.la); do
		cp -f $i ${i}i
	done
	popd
done
%make_install_std

install -d %buildroot%_docdir/%name/html/cxx
install -d %buildroot%_man3dir

pushd cxx/dox
install -m644 man/man3/* %buildroot%_man3dir
install -m644 html/* %buildroot%_docdir/%name/html/cxx
popd

cp -fR examples %buildroot%_docdir/%name/

%files
%doc *.html *.txt Changelog.* README* TODO*
%_bindir/*

#files -n lib%name
#_libdir/*.so.*

#files -n lib%name-devel
#_libdir/*.so
#_includedir/*

#files -n lib%name-devel-static
#_libdir/*.a

%files -n lib%name-devel
%_libdir/*.a
%_includedir/*

%files common
%_datadir/ccafe-%version
%exclude %_datadir/ccafe-%version/examples

%files doc
%_docdir/%name
%exclude %_docdir/%name/examples
%_man3dir/*

%files examples
%_docdir/%name/examples
%_datadir/ccafe-%version/examples

%changelog
* Sun Apr 26 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.8.8-alt1
- Initial build for Sisyphus

